Bootstrap Horizontal Tabs
-------------------------

* Introduction
* Requirements
* Installation & management in the UI
* Limitations/Scope
* Maintainers

INTRODUCTION
------------

This module provides a field type called "Horizontal Tabs" which consists of
tab label and tab body elements. The number of allowed tabs can be set when
adding the field to an entity. Tab labels can be set to display as either
traditional tabs or as pill buttons.

<img src="/bootstrap_horizontal_tabs.gif" alt="Screencast of horizontal tab behavior" />

This module depends on the [Bootstrap framework](https://getbootstrap.com/).
It does not prescribe how Bootstrap should be integrated with the site, but
presumes that it *is* integrated and that the required elements render on all
page loads.

REQUIREMENTS
------------

* Bootstrap 3 or 4, including tab Javascript utilities

The simplest way to integrate the required Bootstrap components is to use or
sub-theme the Bootstrap Drupal theme (whose current stable version uses
Bootstrap version 3).

If using with Bootstrap 4, you will need to include the `util.js` and `tab.js`
components. See https://getbootstrap.com/docs/4.0/components/navs/#javascript-behavior

INSTALLATION & MANAGEMENT IN THE UI
-----------------------------------

1. After enabling this module, go an entity's "Manage fields" page and click "Add field."
2. A new field type, "Horizontal Tabs," will be available.
3. Follow standard Drupal field steps for adding the field.
4. Under the "Manage Display" page, choose whether the tab headers should display as standard "Tabs" or "Pill buttons".

MAINTAINERS
-----------

Current maintainers:

* UT Austin - https://www.drupal.org/university-of-texas-at-austin

This project has been sponsored by:

* [The University of Texas at Austin](https://www.drupal.org/university-of-texas-at-austin)
